<?xml version="1.0" encoding="UTF-8" ?>

<!--
    <comment>
		****************
		(C) 2003-2004, 1060 Research Limited. All rights reserved.
		Licensed under the 1060 Blogxter Non-commerical-Use License v1.0 -
		You are permitted to use this software only for non-commercial applications.
		For commercial licenses visit: http://www.1060research.com/license
		1060 is a registered trademark of 1060 Research Ltd.
		**********
		</comment>
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml"/>

    <xsl:template match="/feeds">
        <div class="service-rss-main">
			<h3>RSS Feeds</h3>
			<xsl:apply-templates />
		</div>
    </xsl:template>
	
	<xsl:template match="rss">
		<xsl:apply-templates select="channel"/>
	</xsl:template>
	
	<xsl:template match="channel">
		<div class="service-rss-channel-title">
			<a>
				<xsl:attribute name="href">
					<xsl:value-of select="link"/>
				</xsl:attribute>
				<xsl:value-of select="title"/>
			</a>
		</div>
		<xsl:apply-templates select="item"/>
	</xsl:template>
	
	<xsl:template match="item">
		<div class="service-rss-item-title">
			<a>
				<xsl:attribute name="href">
					<xsl:choose>
						<xsl:when test="guid">
							<xsl:value-of select="guid"/>	
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="link"/>	
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:value-of select="title"/>
			</a>
		</div>
		<div class="service-rss-item-description">
			<xsl:value-of select="concat(substring(description, 1, 50),'...')"/>
		</div>
	</xsl:template>
	

</xsl:stylesheet> 
